#include <bits/stdc++.h>
using namespace std;
int mat[10001][10001];
int a[10001];
int main(){
    int n,m,mini=999999999;
    cin>>n>>m;
    for(int i=0;i<n;i++)cin>>a[i];
    int x=1;
    for(int i=0;i<n;i++)x*=2;
    for(int i=0;i<x;i++){
        int ind=i;
        for(int k=0;k<n;k++){
            for(int l=0;l<m;l++){
                mat[k][l]=0;
            }
        }
        for(int j=0;j<n;j++){
            if(ind%2==0){
                for(int k=0;k<a[j];k++)mat[j][k]=1;
            }else for(int k=m-1;k>=a[j];k--)mat[j][k]=1;
            ind/=2;
        }
        int rez=0;
        for(int k=0;k<m;k++){
                int ob=0;
            for(int l=0;l<n;l++){

                if(mat[l][k]==1)ob++;
            }

            rez+=ob*(n-ob);
        }

        if (rez<mini)mini=rez;
    }
    cout<<mini;
    return 0;
}